# Uses of Class
com.sun.mail.dsn.Report

Packages that use Report
Package
Description
com.sun.mail.dsn
Support for creating and parsing Delivery Status Notifications.

## Uses of Report in com.sun.mail.dsn

Subclasses of Report in com.sun.mail.dsn
Modifier and Type
Class
Description
`class`
`DeliveryStatus`
A message/delivery-status message content, as defined in RFC 3464.
`class`
`DispositionNotification`
A message/disposition-notification message content, as defined in RFC 3798.
Methods in com.sun.mail.dsn that return Report
Modifier and Type
Method
Description
`Report`
MultipartReport.`getReport()`
Get the report associated with this multipart/report.
Methods in com.sun.mail.dsn with parameters of type Report
Modifier and Type
Method
Description
`void`
MultipartReport.`setReport(Report report)`
Set the report associated with this multipart/report.
Constructors in com.sun.mail.dsn with parameters of type Report
Modifier
Constructor
Description
``
`MultipartReport(String text, Report report)`
Construct a multipart/report object with the specified plain text and report type (DeliveryStatus or DispositionNotification) to be returned to the user.
``
`MultipartReport(String text, Report report, InternetHeaders hdr)`
Construct a multipart/report object with the specified plain text, report, and headers from the original message to be returned to the user.
``
`MultipartReport(String text, Report report, MimeMessage msg)`
Construct a multipart/report object with the specified plain text, report, and original message to be returned to the user.